#ifndef _VisibilityInfo_H__
#define _VisibilityInfo_H__



/** Class storing the visibility information of a scene node. 
*/
class NodeVisibilityInfo {
  /** pointer to the scene node */
  SceneNode *mNode;
  /** node visibility can either be a number of visible pixels or relative
      number of visible pixels (if the hardware queries will provide the
      total number of ratsterized pixels */
  float mVisibility;
};


/** Class storing the visibility information of a mesh. 
*/
class MeshVisibilityInfo {
  /** pointer to the scene node */
  Geometry *mGeometry;
  /** node visibility can either be a number of visible pixels or relative
      number of visible pixels (if the hardware queries will provide the
      total number of ratsterized pixels */
  float mVisibility;
};

/** Default container type for visibility infos */
temlate <typename T>
typedef vector<T> VisibilityContainer<T>;

#endif
